LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XMergeable Interface Referencepublished

represents a range of cells that can be merged. More...

`import"XMergeable.idl";`

Inheritance diagram for XMergeable:

## Public Member Functions
void | merge ([in] boolean bMerge)
| merges/unmerges the area specified by this object. More...
boolean | getIsMerged ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a range of cells that can be merged.

Developers Guide
  Spreadsheet Documents - Merging Cell Ranges into a Single Cell

## Member Function Documentation

## ◆ getIsMerged()

boolean getIsMerged | ( |  | ) |

Returns
  `TRUE` if the area specified by this object is merged, or `FALSE` otherwise.

## ◆ merge()

void merge | ( | [in] boolean | bMerge | ) |

merges/unmerges the area specified by this object.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XMergeable.idl